IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
	RETURN;

IF OBJECTPROPERTY(OBJECT_ID(N'tr_FreezeDefRight_II'), 'IsTrigger') = 1
	DROP TRIGGER tr_FreezeDefRight_II;

DECLARE @CreateTriggerFreezeDefRight NVARCHAR(MAX) =
'CREATE TRIGGER tr_FreezeDefRight_II ON SysEntitySchemaRecordDefRight
	INSTEAD OF INSERT
AS
BEGIN
	SET NOCOUNT ON;

	INSERT INTO [SysEntitySchemaRecordDefRight]
		SELECT *
		FROM INSERTED
		WHERE SubjectSchemaUId NOT IN (SELECT SubjectSchemaUId FROM [SysEntitySchemaRecordDefRight]);
END';
EXEC(@CreateTriggerFreezeDefRight);

/*
IF OBJECTPROPERTY(OBJECT_ID(N'tr_FreezeOperationRight_II'), 'IsTrigger') = 1
	DROP TRIGGER tr_FreezeOperationRight_II;

DECLARE @CreateTriggerFreezeOperationRight NVARCHAR(MAX) =
'CREATE TRIGGER tr_FreezeOperationRight_II ON SysEntitySchemaOperationRight
	INSTEAD OF INSERT
AS
BEGIN
	SET NOCOUNT ON;

	INSERT INTO [SysEntitySchemaOperationRight]
		SELECT *
		FROM INSERTED
		WHERE SubjectSchemaUId NOT IN (SELECT SubjectSchemaUId FROM [SysEntitySchemaOperationRight]);
END';
EXEC(@CreateTriggerFreezeOperationRight);
*/

IF OBJECTPROPERTY(OBJECT_ID(N'tr_FreezeColumnRight_II'), 'IsTrigger') = 1
	DROP TRIGGER tr_FreezeColumnRight_II;

DECLARE @CreateTriggerFreezeColumnRight NVARCHAR(MAX) =
'CREATE TRIGGER tr_FreezeColumnRight_II ON SysEntitySchemaColumnRight
	INSTEAD OF INSERT
AS
BEGIN
	SET NOCOUNT ON;

	INSERT INTO [SysEntitySchemaColumnRight]
		SELECT *
		FROM INSERTED
		WHERE SubjectSchemaUId NOT IN (SELECT SubjectSchemaUId FROM SysEntitySchemaColumnRight);
END';
EXEC(@CreateTriggerFreezeColumnRight);