UPDATE [ContactCommunication]
SET [SearchNumber] = (
	CASE
		WHEN [dbo].[fn_GetIsPhoneCommunicationType]([CommunicationTypeId]) = 1 THEN
			[dbo].[fn_GetPhoneNumberSearchForm]([Number])
		ELSE
			LOWER([Number])
	END
)
WHERE ([SearchNumber] IS NULL OR [SearchNumber] = '');
GO

UPDATE [AccountCommunication]
SET [SearchNumber] = (
	CASE
		WHEN [dbo].[fn_GetIsPhoneCommunicationType]([CommunicationTypeId]) = 1 THEN
			[dbo].[fn_GetPhoneNumberSearchForm]([Number])
		ELSE
			SUBSTRING (LOWER([Number]), 0, 50)
	END
)
WHERE ([SearchNumber] IS NULL OR [SearchNumber] = '');
GO
